Systemanforderungen

Aus sourceDESK Wiki
(Weitergeleitet von Systemvoraussetzungen)
Wechseln zu: Navigation, Suche

sourceDESK hat keine allzu großen Systemanforderungen - es sollte auf den meisten Webservern problemlos laufen.

Minimale Anforderungen

  • Linux (empfohlen) oder Windows Betriebssystem
  • Apache Webserver (empfohlen)
  • PHP 7.1 aufwärts
  • MySQL 5.7 mit einer Datenbank
  • php-bcmath
  • php-sockets
  • Freetype-Support für PHP
  • Bei Verwendung der Mietversion: ionCube-Loader

Weitere Anforderungen

  • mailparse und php-imap für das Support-System
  • SOAP und XML-RPC als PHP-Module für diverse Integrationen
  • wkhtmltoimage für Domain-Vorschau

Empfohlene Werte für die php.ini

  • memory_limit = 64M
  • upload_max_filesize = 128M
  • post_max_size = 129M
  • max_execution_time = 120
  • max_input_time = 60

Bei entsprechender Leistung können und sollten die Werte natürlich höher sein.

Überprüfung von Systemanforderungen

sourceDESK prüft seit Version 1.0.6 selbstständig, ob die Systemanforderungen erfüllt sind. Werden erforderliche Anforderungen nicht erfüllt, ist sourceDESK nicht lauffähig. Es wird in diesem Fall auf das Problem hingewiesen.

Während der Installation von sourceDESK und in der Administration unter "Einstellungen > System-Einstellungen > System-Status" finden Sie Hinweise zu einer nicht optimalen System-Konfiguration, falls eine solche vorliegt.